VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "FT232 RL  USB Relais Ansteuerung von Andreas Koehler"
   ClientHeight    =   5265
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   10815
   LinkTopic       =   "Form1"
   ScaleHeight     =   5265
   ScaleWidth      =   10815
   StartUpPosition =   3  'Windows-Standard
   Begin VB.CheckBox Check8 
      Caption         =   "Relais8"
      Height          =   1095
      Left            =   7200
      TabIndex        =   11
      Top             =   2400
      Width           =   735
   End
   Begin VB.CheckBox Check7 
      Caption         =   "Relais7"
      Height          =   1095
      Left            =   6240
      TabIndex        =   10
      Top             =   2400
      Width           =   735
   End
   Begin VB.CheckBox Check6 
      Caption         =   "Relais6"
      Height          =   1095
      Left            =   5280
      TabIndex        =   9
      Top             =   2400
      Width           =   735
   End
   Begin VB.CheckBox Check5 
      Caption         =   "Relais5"
      Height          =   1095
      Left            =   4320
      TabIndex        =   8
      Top             =   2400
      Width           =   735
   End
   Begin VB.CheckBox Check4 
      Caption         =   "Relais4"
      Height          =   1095
      Left            =   3360
      TabIndex        =   7
      Top             =   2400
      Width           =   735
   End
   Begin VB.CheckBox Check3 
      Caption         =   "Relais 3"
      Height          =   1095
      Left            =   2400
      TabIndex        =   6
      Top             =   2400
      Width           =   735
   End
   Begin VB.CheckBox Check2 
      Caption         =   "Relais2"
      Height          =   1095
      Left            =   1440
      TabIndex        =   5
      Top             =   2400
      Width           =   735
   End
   Begin VB.CheckBox Check1 
      Caption         =   "Relais 1"
      Height          =   1095
      Left            =   360
      TabIndex        =   4
      Top             =   2400
      Width           =   855
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Alle Relais abgefallen"
      Height          =   1095
      Left            =   5400
      TabIndex        =   3
      Top             =   240
      Width           =   2055
   End
   Begin VB.CommandButton Ausgabe 
      Caption         =   "Ausgabe"
      Height          =   1095
      Left            =   3000
      TabIndex        =   2
      Top             =   240
      Width           =   2055
   End
   Begin VB.CommandButton Command3 
      Caption         =   "Schliessen USB Schnittstelle"
      Height          =   1095
      Left            =   8040
      TabIndex        =   1
      Top             =   240
      Width           =   2295
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Initialisierung USB Schnittstelle"
      Height          =   1095
      Left            =   240
      TabIndex        =   0
      Top             =   240
      Width           =   2295
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Rem Ansteuerung Relaisplatine USB ueber FT232RL
Dim Buffer
Dim lngHandle As Long
Dim Wert As Byte
Dim Rel As Byte
Dim Lnge As Integer

Private Sub Check1_Click()
If Check1.Value = 1 Then
Rel = Rel + 1
Else
Rel = Rel - 1
End If
Print Rel
End Sub
Private Sub Check2_Click()
If Check2.Value = 1 Then
Rel = Rel + 2
Else
Rel = Rel - 2
End If
Print Rel
End Sub

Private Sub Check3_Click()
If Check3.Value = 1 Then
Rel = Rel + 4
Else
Rel = Rel - 4
End If
Print Rel
End Sub

Private Sub Check4_Click()
If Check4.Value = 1 Then
Rel = Rel + 8
Else
Rel = Rel - 8
End If

Print Rel
End Sub

Private Sub Check5_Click()
If Check5.Value = 1 Then
Rel = Rel + 16
Else
Rel = Rel - 16
End If
Print Rel
End Sub

Private Sub Check6_Click()
If Check6.Value = 1 Then
Rel = Rel + 32
Else
Rel = Rel - 32
End If
Print Rel
End Sub

Private Sub Check7_Click()
If Check7.Value = 1 Then
Rel = Rel + 64
Else
Rel = Rel - 64
End If
Print Rel
End Sub

Private Sub Check8_Click()
If Check8.Value = 1 Then
Rel = Rel + 128
Else
Rel = Rel - 128
End If
Print Rel
End Sub

Private Sub Command1_Click()
Rem Schnittstelle ffnen
INIREL
SETBAUD
SETBITMODE
Rel = 0
End Sub
Private Sub Load_Form()

End Sub
Private Sub INIREL()
'USB Schnittstelle initialisieren
If FT_Open(0, lngHandle) <> 0 Then
   MsgBox "Open failed"
   End
End If
Print " FTDI 232 RL erfolgreich geoeffnet"
Print "FTDI hat den USBHandle : " & lngHandle

End Sub
Private Sub SETBAUD()
'Setzen der Baudrate auf 300
If FT_SetBaudRate(lngHandle, 300) <> 0 Then
   MsgBox "Baudraten Einstellungsfehler"
   End
End If
Print "FTDI 232 Baudrate auf 300 Baud gesetzt"
End Sub
Private Sub SETBITMODE()
' Bitmode alles Ausgang asynchroner serieller Bit Bang Mode
 If FT_SetBitMode(lngHandle, &HFF, &H1) <> 0 Then
    MsgBox "Bitmode fehlerhaft gesetzt"
    End
 End If
 Print "serieller Bit-Bang Mode erfolgreich gesetzt"
End Sub
Private Sub Ausgabe_click()
Buffer = Chr(Rel)
Buflen = Len(Buffer)
If FT_Write(lngHandle, Buffer, Buflen, 0) <> 0 Then
    MsgBox "Schreiben fehlerhaft"
    End
End If
End Sub
Private Sub Command2_Click()
'Alle Relais abfallen lassen
Buffer = Chr(&H0)
Check1.Value = 0
Check2.Value = 0
Check3.Value = 0
Check4.Value = 0
Check5.Value = 0
Check6.Value = 0
Check7.Value = 0
Check8.Value = 0
Buflen = Len(Buffer)
If FT_Write(lngHandle, Buffer, Buflen, 0) <> 0 Then
    MsgBox "Schreiben fehlerhaft"
    End
End If
End Sub
Private Sub SchliessenFT()
' Schliessen des FTDI Controllers
If FT_Close(lngHandle) <> 0 Then
    MsgBox "Schliessen FTDI Schaltkreis fehlerhaft"
End If
End Sub
Private Sub Unload_Form()
End Sub
Private Sub Command3_Click()
SchliessenFT
End Sub
